summaryrefslogtreecommitdiffstats
path: root/buildtools
diff options
context:
space:
mode:
authorPatrick Storz <eduard.braun2@gmx.de>2019-06-06 22:31:13 +0000
committerPatrick Storz <eduard.braun2@gmx.de>2019-06-06 23:20:42 +0000
commit47ba544abac1dc54a73a44b2b8eec45d92cb83a1 (patch)
tree3d6b999d853917e60cc6b1d842d9a534b0aa3e82 /buildtools
parentFix build (loading icon). (diff)
downloadinkscape-47ba544abac1dc54a73a44b2b8eec45d92cb83a1.tar.gz
inkscape-47ba544abac1dc54a73a44b2b8eec45d92cb83a1.zip
Use share/inkscape subfolder on Windows
First part of https://gitlab.com/inkscape/inkscape/issues/82
Diffstat (limited to 'buildtools')
-rw-r--r--buildtools/appveyor.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/buildtools/appveyor.sh b/buildtools/appveyor.sh
index 18a90bfbb..cfd289886 100644
--- a/buildtools/appveyor.sh
+++ b/buildtools/appveyor.sh
@@ -78,8 +78,9 @@ PATH= inkscape/inkscape.exe -V >/dev/null || error "installed executable won't r
err=$(PATH= inkscape/inkscape.exe -V 2>&1 >/dev/null)
if [ -n "$err" ]; then warning "installed executable produces output on stderr:"; echo "$err"; fi
# check if the uninstalled executable works
-INKSCAPE_DATADIR=../share bin/inkscape.exe -V >/dev/null || error "uninstalled executable won't run"
-err=$(INKSCAPE_DATADIR=../share bin/inkscape.exe -V 2>&1 >/dev/null)
+ninja inkscape_datadir_symlink
+INKSCAPE_DATADIR=inkscape_datadir bin/inkscape.exe -V >/dev/null || error "uninstalled executable won't run"
+err=$(INKSCAPE_DATADIR=inkscape_datadir bin/inkscape.exe -V 2>&1 >/dev/null)
if [ -n "$err" ]; then warning "uninstalled executable produces output on stderr:"; echo "$err"; fi
# run tests
ninja check || error "tests failed"